Mint Token
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"toAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 1000,
"memo": "Mint operation"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/mint"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"toAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 1000,
"memo": "Mint operation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
toAddress: '0x19F538a73e26F90cd8F76fb362B909B169df4E44',
amount: 1000,
memo: 'Mint operation'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Token minted successfully",
"data": {
"operationRef": "mint_f4346920aa74a34f3a30951766b1e251",
"transactionId": "019edeb0-3da8-77fa-8100-dc99bdfa78e0",
"txHash": "0x24ca59aefb20b47e08423edef8bcd5b3838c06cf921710eff484fcbc4dee65a9"
}
}Tokenization
Mint Token
Mints new units of a token to a recipient address.
POST
/
v1
/
tokens
/
mint
Mint Token
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"toAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 1000,
"memo": "Mint operation"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/mint"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"toAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 1000,
"memo": "Mint operation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
toAddress: '0x19F538a73e26F90cd8F76fb362B909B169df4E44',
amount: 1000,
memo: 'Mint operation'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Token minted successfully",
"data": {
"operationRef": "mint_f4346920aa74a34f3a30951766b1e251",
"transactionId": "019edeb0-3da8-77fa-8100-dc99bdfa78e0",
"txHash": "0x24ca59aefb20b47e08423edef8bcd5b3838c06cf921710eff484fcbc4dee65a9"
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
